Name:          gigalomania
Version:       0.27
Release:       1%{?dist}
Summary:       2D Real Time Strategy Game
License:       GPLv2+
URL:           http://homepage.ntlworld.com/mark.harman/comp_gigalomania.html
Source0:       https://launchpad.net/gigalomania/trunk/%{version}/+download/%{name}src.zip
BuildRequires: desktop-file-utils
BuildRequires: SDL2-devel
BuildRequires: SDL2_image-devel
BuildRequires: SDL2_mixer-devel

%description
Gigalomania is a 2D real time strategy game that is a clone of
Mega-Lo-Mania. The game-play consists of researching and
developing new technology with which to conquer your enemies,
from rocks and sticks to nuclear weapons and spaceships. You
can advance through ten different ages, from the stone age to the
future. There are 28 different maps to play through.

%prep
%setup -q -n %{name}src

sed -i "s|Exec=/opt/gigalomania/gigalomania|Exec=%{name}|" gigalomania.desktop
sed -i "s|Path=/opt/gigalomania/|Path=%{_datadir}/%{name}/|" gigalomania.desktop

sed -i 's|mkdir -p $(DESTDIR)/opt/gigalomania|mkdir -p $(DESTDIR)%{_bindir} $(DESTDIR)%{_datadir}/%{name} $(DESTDIR)%{_datadir}/applications $(DESTDIR)%{_datadir}/pixmaps|' Makefile
sed -i 's|cp $(APP) $(DESTDIR)/opt/gigalomania|install -pm 755 $(APP) $(DESTDIR)%{_bindir}|' Makefile
sed -i "s|/opt/gigalomania|%{_datadir}/%{name}|" Makefile

sed -i 's/\r//' %{name}_source.txt

%build

make %{?_smp_mflags} clean
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}64.png
%{_datadir}/%{name}
%doc %{name}_source.txt readme.html
%license gpl.txt

%changelog
* Wed Feb 18 2015 gil cattaneo <puntogil@libero.it> 0.27-1
- initial rpm
